PHP Manual
Prev |  | Next

# XMLReader->next()

(no version information, might be only in CVS)

XMLReader->next() -- Move cursor to next node skipping all subtrees

## Description

class XMLReader {
bool next ( [string localname] )
}

Positions cursor on the next node skipping all subtrees.

## Parameters

localname

  The name of the next node to move to.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

XMLReader->next()
XMLReader->moveToElement()
XMLReader->moveToAttribute()

Prev | Home | Next
XMLReader->moveToNextAttribute() | Up | XMLReader->open()